* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
	color-scheme: dark;
	line-height: 1.5;
	scroll-behavior: smooth;
}

::-webkit-scrollbar {
	display: none;
}

body {
	margin-inline: 1rem;
}

main {
	display: grid;
	grid-template-rows: 100px auto;
	align-items: center;
	justify-content: center;
	margin: 0 auto;
}

#btn-highlight {
	padding: 0.5rem 1rem;
	background-color: rgb(0, 91, 183);
	border-radius: 5px;
	color: white;
	cursor: pointer;
	border: none;
}

#btn-highlight:is(:hover, :active) {
	background-color: rgba(0, 91, 183, 0.9);
}

#top {
	text-align: center;
	font-family: system-ui, -apple-system, BlinkMacSystemFont,
		'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell,
		'Open Sans', 'Helvetica Neue', sans-serif;
}

#two-sections {
	display: grid;
	grid-template-columns: 1fr 1fr;
	column-gap: 1rem;
	width: 95vw;
}

@media screen and (max-width: 860px) {
	#two-sections {
		display: flex;
		flex-direction: column;
	}
}

#input-text {
	height: 85vh;
	border-radius: 5px;
	background-color: #202324;
	outline: none;
	border: none;
	padding: 1rem;
	overflow: scroll;
}

#output-text {
	height: 85vh;
	overflow: scroll;
	background-color: #202324;
	outline: none;
	border: none;
	padding: 1rem;
	border-radius: 5px;
}

.texts {
	overflow: scroll;
}

select {
	padding: .5rem;
	background-color: rgb(89, 89, 89);
	outline: none;
	border: none;
	border-radius: 5px;
}

textarea {
	margin-trim: all;
	width: 100%;
	resize: none;
}

code {
	display: block;
	font-family: 'Cascadia Code', 'Roboto Mono', 'JetBrains Mono', monospace;
}

.constant {
	color: #79c0ff;
}

.instructions {
	color: #ec8e2b;
	font-weight: bold;
}

.plain {
	color: #c8d1d9;
}

.jumps {
	color: #c79af1;
}

.function-label {
	color: #d2a8ff;
	font-weight: bold;
}

.criticals {
	color: #f47067;
}

.arithmetics {
	color: yellowgreen;
}

.datatypes {
	color: #8edb8c;
}

.registers {
	color: #fdad54;
	font-style: italic;
}

.operators {
	color: #a492f7;
}

.comment {
	color: rgb(107, 107, 107);
	font-style: italic;
}

.line-number {
	color: #334e66;
	padding-right: .5rem;
	text-align: right;
	font-size: 90%;
	user-select: none;
}